#
# Conditional build:
%bcond_with	tests		# build without tests

%define	pkgname	listen
Summary:	Listen to file modifications
Name:		ruby-%{pkgname}
Version:	2.7.11
Release:	2
License:	MIT
Group:		Development/Languages
Source0:	https://github.com/guard/listen/archive/v%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	2b1378df84cd0e5ab94d172c3a92d70d
Patch0:		deps.patch
URL:		https://github.com/guard/listen
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %{with tests}
BuildRequires:	ruby-bundler >= 1.3.5
BuildRequires:	ruby-rake
BuildRequires:	ruby-rspec >= 2.14
BuildRequires:	ruby-rspec-retry
%endif
Requires:	ruby-celluloid >= 0.15.2
Requires:	ruby-celluloid-io >= 0.15.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Listen gem listens to file modifications and notifies you about
the changes. Works everywhere!

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1

%build
# make gemspec self-contained
ruby -r rubygems -e 'spec = eval(File.read("%{pkgname}.gemspec"))
	File.open("%{pkgname}-%{version}.gemspec", "w") do |file|
	file.puts spec.to_ruby_for_cache
end'

%if %{with tests}
rspec spec
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CHANGELOG.md
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Tue Sep 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-listen.git;a=log;h=master

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> 284aa76
- rebuild without versioned ruby abi dep
- release 2 (by relup.sh)

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> a152774
- commit note

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> 41f79f5
- up to 2.7.11

* Sun May 04 2014 Elan Ruusamäe <glen@delfi.ee> 2c8bc52
- up to 2.7.1

* Sun May 04 2014 Elan Ruusamäe <glen@delfi.ee> c339796
- package patchjed patched gemspec

* Sun May 04 2014 Elan Ruusamäe <glen@delfi.ee> 5094976
- build with gem deps

* Sun May 04 2014 Elan Ruusamäe <glen@delfi.ee> 12d31ba
- new, version 0.4.7

